from django.contrib import admin
from guestbook.models import Message, UserProfile

# Register your models here.

def uppercase_action(modeladmin, request, objects):
    for o in objects:
        o.subj = o.subj.upper()
        o.save()
uppercase_action.short_description = "Перевести тему в верхний регистр"

@admin.register(Message)
class MessageAdmin(admin.ModelAdmin):
    ordering = ["-pub_date",]
    list_per_page = 50
    list_filter = ["author"]
    list_display = ["pub_date", "author", "subj"]
    date_hierarchy = "pub_date"
    actions = [uppercase_action,]

@admin.register(UserProfile)
class UserProfileAdmin(admin.ModelAdmin):
    list_display = ["user", "userpic"]
