from PIL import Image
from django.core.files.base import ContentFile
import io

AVATAR_SIZE = (120, 120)

def upload_avatar(uploaded_file):
    src_img = Image.open(uploaded_file)
    (w, h) = src_img.size
    if w < 4000 and h < 4000:
        if w > h:
            p1 = (w - h) / 2
            p2 = (w + h) / 2
            src_img = src_img.crop((p1, 0, p2, h))
        else:
            p1 = (h - w) / 2
            p2 = (h + w) / 2
            src_img = src_img.crop((0, p1, w, p2))
        src_img.thumbnail(AVATAR_SIZE)

        buf = io.BytesIO()
        src_img.save(buf, format="JPEG")
        f = ContentFile(buf.getvalue())
        return f
    else:
        raise ValueError("Image is too large")
