from django.db import models
from django.contrib.auth.models import User
from django.conf import settings

class Message(models.Model):
    author = models.ForeignKey(User, null=True)
    subj = models.CharField(max_length=250, blank=True)
    text = models.TextField()
    pub_date = models.DateTimeField(auto_now=True)

    def __str__(self):
        format_str = "{d} {u}: {s}"
        d = self.pub_date.strftime("%d.%m.%y %H:%M")
        u = self.author.username if self.author else "(anon)"
        return format_str.format(d=d, u=u, s=self.subj)


class UserProfile(models.Model):
    user = models.OneToOneField(User, on_delete=models.PROTECT)
    userpic = models.FileField()

