"""guestbook_site URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin

from guestbook.views import main_view, add_view, profile_view
from guestbook_site.reg_views import register_new_user

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^register/$', register_new_user, name="register"),
    url(r'^$', main_view, name="main"),
    url(r'^add/$', add_view, name="add"),
    url(r'^profile/$', profile_view, name="profile_change"),
    url(r'^', include("django.contrib.auth.urls")),
]
